Welcome, Guest. Please Login or Register.
September 27, 2023, 03:34:48 AM
Home Help Search Login Register
News: If you are still using YaBB SE, please consider upgrading to SMF as soon as possible.

YaBB SE Community  |  Development  |  Completed mods  |  Topic: [Done 1.5.1] Skins mod advanced « previous next »
Pages: 1 [2] 3 4 ... 9 Reply Ignore Print
Author Topic: [Done 1.5.1] Skins mod advanced  (Read 42060 times)
D Mon
Jr. Member
**
Posts: 86


I'm a llama!


Re:[Done 1.4.0 and 1.4.1] Skins mod advanced
« Reply #15 on: November 18, 2002, 05:05:32 PM »
Reply with quote

I got that too- now try and logout then go back to your page!


Chris, Ill try it tonight and copy the errors for ya!
Logged
Chris Cromer
The Strange One
Mod Team
YaBB God
*****
Posts: 3152


I am just a figment of your imagination.


WWW
Re:[Done 1.4.0 and 1.4.1] Skins mod advanced
« Reply #16 on: November 18, 2002, 06:31:24 PM »
Reply with quote

That just means the copyright tag is missing in the template that you are using for the default one. ::)

Any other errors besides that one?
Logged

Chris Cromer

I am not suffering from insanity, I am enjoying every minute of it.
Surfy
Sr. Member
****
Posts: 458


I'm a llama!


Re:[Done 1.4.0 and 1.4.1] Skins mod advanced
« Reply #17 on: November 19, 2002, 05:08:47 AM »
Reply with quote

no chris, the templetate is ok.

If i logg out, or a unregistered User try to visit the board, following message appears:

Quote
Ein Fehler ist aufgetreten!

2: Failed opening './Skins//template.html' for inclusion (include_path='.;c:\php4\pear')
(c:\inetpub\wwwroot\test\Sources\Subs.php ln 189)

Sorry, the copyright tag must be in the template.
Please notify this forum's administrator that this site is using an ILLEGAL copy of YaBB!


If someone is not logged in, or someone log out, the mod try to open a templetate in the skin folder directly, and the mod dont use the "default Skin" you can set in the admin-Mod area.

If i copy a templetate and the yabbimagefolder directly to the skinfolder (not to /skin/skinname) then it works.

But this workarround has a problem, the boardusers could now try to use "templetate.php" and "yabbimages" as their skin, and so they kill their profile.

Surfy

Logged
1979Z28
Sr. Member
****
Posts: 324



WWW
Re:[Done 1.4.0 and 1.4.1] Skins mod advanced
« Reply #18 on: November 19, 2002, 06:15:43 AM »
Reply with quote

Might be me, but is the template supposed to be located in (example) Skins//template.html? with two backslashes? Used to be to me that was means for a typo. ;D Admitadly it's been a long ass time since I've had that error, but still.. Hrm
Logged
Chris Cromer
The Strange One
Mod Team
YaBB God
*****
Posts: 3152


I am just a figment of your imagination.


WWW
Re:[Done 1.4.0 and 1.4.1] Skins mod advanced
« Reply #19 on: November 19, 2002, 01:44:43 PM »
Reply with quote

No it isn't a typo. :P

There is supposed to be the name of a folder in between those two \'s for instance "Skins\yabbse\template.php"

But the problem is that it can't find a skin apparently. Make sure that you have run skinsdbmod.php from the same directory as Settings.php if you hadn't run it, it might not have inserted the row into the table that stores the default skin name.

Also go into your admin center and choose a skin in the admin center. That should set the default skin(as long as the row is in the table).

Also, by any chance did you have my old skins mod installed?
Logged

Chris Cromer

I am not suffering from insanity, I am enjoying every minute of it.
Surfy
Sr. Member
****
Posts: 458


I'm a llama!


Re:[Done 1.4.0 and 1.4.1] Skins mod advanced
« Reply #20 on: November 19, 2002, 02:16:27 PM »
Reply with quote

no, its my first skinmod, the db entry`s was made correctly, also teh default skin ist set  :-\

Surfy
Logged
Chris Cromer
The Strange One
Mod Team
YaBB God
*****
Posts: 3152


I am just a figment of your imagination.


WWW
Re:[Done 1.4.0 and 1.4.1] Skins mod advanced
« Reply #21 on: November 19, 2002, 02:33:12 PM »
Reply with quote

Well that is very odd because I cannot reproduce that error on my YaBBSE install... what version of YaBBSE are you using? Also is there any mods installed that alter the Subs.php file?
Logged

Chris Cromer

I am not suffering from insanity, I am enjoying every minute of it.
D Mon
Jr. Member
**
Posts: 86


I'm a llama!


Re:[Done 1.4.1] Skins mod advanced
« Reply #22 on: November 19, 2002, 03:17:28 PM »
Reply with quote

Chris,
Could the problem be that there's no default set?
I didn't even know there was an option in admincenter .
Maybe since there was no default set in admin it had no where to go- Just a thought-I already deleted my MOD before I knew this option was in there.  Cause it seemed people who had "always logged on" were getting in fine.
Logged
Chris Cromer
The Strange One
Mod Team
YaBB God
*****
Posts: 3152


I am just a figment of your imagination.


WWW
Re:[Done 1.4.1] Skins mod advanced
« Reply #23 on: November 19, 2002, 03:20:45 PM »
Reply with quote

Well it should be set in the admin center... in the mod settings and options to be exact.

But the question is, what version of YaBBSE are you and Surfy using?

And Surfy said his was set, which means that it can't be a problem with it not being set.

Also, if you could tell me what the url is the browser when you get the error, that would help me immensly because I would then know which file is causing the problem.
Logged

Chris Cromer

I am not suffering from insanity, I am enjoying every minute of it.
Surfy
Sr. Member
****
Posts: 458


I'm a llama!


Re:[Done 1.4.1] Skins mod advanced
« Reply #24 on: November 19, 2002, 03:37:09 PM »
Reply with quote

Hi Chris

- Yes, the default Skin was set
- Yes the DB Script was running

I use Yabb 1.4.1 (newest) with 22 Mod`s.

My Subs.php you can see here:

http://snow.prohosting.com/hcoreblo/Subs.txt

Tomorrow i can look, which Mods has altered the Subs.php.

Surfy
Logged
Chris Cromer
The Strange One
Mod Team
YaBB God
*****
Posts: 3152


I am just a figment of your imagination.


WWW
Re:[Done 1.4.1] Skins mod advanced
« Reply #25 on: November 20, 2002, 12:23:58 PM »
Reply with quote

I found the problem and have uploaded a new version of the mod.

For those who already have it installed, just unistall it. Then download and unzip the new mod file and install the .mod file, and upload the sources.

Now, to fix the bug, go into your admin center, go into installed mods settings and options, and change your default skin to one of the ones in that list and click save. That will fix it.

For those installing this mod freshly... read readme.txt to install it.
Logged

Chris Cromer

I am not suffering from insanity, I am enjoying every minute of it.
Surfy
Sr. Member
****
Posts: 458


I'm a llama!


Re:[Done 1.4.1] Skins mod advanced
« Reply #26 on: November 20, 2002, 03:21:01 PM »
Reply with quote

it works without any Bugs!!

thx a lot, this is a very important Mod for YaBB, many other Boards have this future.

But i have a question:

How can i set for each skin, that the images load from another Domain / Webspace? I cant afford the Traffic, if all Images load from the Board Domain  :-[

Can u make an addon for this mod?

Surfy
Logged
Chris Cromer
The Strange One
Mod Team
YaBB God
*****
Posts: 3152


I am just a figment of your imagination.


WWW
Re:[Done 1.4.1] Skins mod advanced
« Reply #27 on: November 20, 2002, 08:59:39 PM »
Reply with quote

Can't anyone ever be happy? ::)

Well that isn't really easy, you have to record data in a table about what images go to which skin... which is really just a pain to do.

As for an addon, I won't be doing it, but if anyone is up to it, go ahead.
Logged

Chris Cromer

I am not suffering from insanity, I am enjoying every minute of it.
Tranten
Noobie
*
Posts: 22



WWW
Re:[Done 1.4.1] Skins mod advanced
« Reply #28 on: November 21, 2002, 06:49:09 AM »
Reply with quote

Excellent Mod Chris. I only had the buggy version for a day before you posted the fix.

Just cursious though, what was causing the problem?
Logged
Chris Cromer
The Strange One
Mod Team
YaBB God
*****
Posts: 3152


I am just a figment of your imagination.


WWW
Re:[Done 1.4.1] Skins mod advanced
« Reply #29 on: November 21, 2002, 01:28:44 PM »
Reply with quote

The problem was in ModSettings.php I copied my skin code from profile.php, and forgot to change the word "skin" to "default_skin". ::)
Logged

Chris Cromer

I am not suffering from insanity, I am enjoying every minute of it.
Pages: 1 [2] 3 4 ... 9 Reply Ignore Print 
YaBB SE Community  |  Development  |  Completed mods  |  Topic: [Done 1.5.1] Skins mod advanced « previous next »
 


Powered by MySQL Powered by PHP YaBB SE Community | Powered by YaBB SE
2001-2003, YaBB SE Dev Team. All Rights Reserved.
SMF 2.0.19 | SMF © 2021, Simple Machines
Valid XHTML 1.0! Valid CSS!
Page created in 0.071 seconds with 28 queries.